# pandas.DataFrame.to_records

`DataFrame.``to_records`(index=True, convert_datetime64=True)

  Convert DataFrame to record array. Index will be put in the ‘index’ field of the record array if requested

  Parameters:

  index : boolean, default True

  > Include index in resulting record array, stored in ‘index’ field

  convert_datetime64 : boolean, default True

  > Whether to convert the index to datetime.datetime if it is a DatetimeIndex

  Returns: | y : recarray